Loading...
Searching...
No Matches
irr::scene::IParticleGravityAffector Class Referenceabstract

A particle affector which applies gravity to particles. More...

`#include <IParticleGravityAffector.h>`

Inheritance diagram for irr::scene::IParticleGravityAffector:

## Public Member Functions

virtual const core::vector3df & | getGravity () const =0
| Get the direction and force of gravity.
virtual f32 | getTimeForceLost () const =0
| Get the time in milliseconds when the gravity force is totally lost.
virtual E_PARTICLE_AFFECTOR_TYPE | getType () const
| Get emitter type.
virtual void | setGravity (const core::vector3df &gravity)=0
| Set the direction and force of gravity in all 3 dimensions.
virtual void | setTimeForceLost (f32 timeForceLost)=0
| Set the time in milliseconds when the gravity force is totally lost.
Public Member Functions inherited from irr::scene::IParticleAffector
| IParticleAffector ()
| constructor
virtual void | affect (u32 now, SParticle *particlearray, u32 count)=0
| Affects an array of particles.
virtual bool | getEnabled () const
| Gets whether or not the affector is currently enabled.
virtual void | setEnabled (bool enabled)
| Sets whether or not the affector is currently enabled.
Public Member Functions inherited from irr::io::IAttributeExchangingObject
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.
Protected Attributes inherited from irr::scene::IParticleAffector
bool | Enabled

## Detailed Description

A particle affector which applies gravity to particles.

Definition at line 16 of file IParticleGravityAffector.h.

## Member Function Documentation

## getGravity()

virtual const core::vector3df & irr::scene::IParticleGravityAffector::getGravity | ( |  | ) | const

pure virtual

Get the direction and force of gravity.

## getTimeForceLost()

virtual f32 irr::scene::IParticleGravityAffector::getTimeForceLost | ( |  | ) | const

pure virtual

Get the time in milliseconds when the gravity force is totally lost.

## getType()

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleGravityAffector::getType | ( |  | ) | const

inline virtual

Get emitter type.

Implements irr::scene::IParticleAffector.

Definition at line 34 of file IParticleGravityAffector.h.

References irr::scene::EPAT_GRAVITY.

## setGravity()

virtual void irr::scene::IParticleGravityAffector::setGravity | ( | const core::vector3df & | gravity | ) |

pure virtual

Set the direction and force of gravity in all 3 dimensions.

## setTimeForceLost()

virtual void irr::scene::IParticleGravityAffector::setTimeForceLost | ( | f32 | timeForceLost | ) |

pure virtual

Set the time in milliseconds when the gravity force is totally lost.

At that point the particle does not move any more.

The documentation for this class was generated from the following file:

- IParticleGravityAffector.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0